#include "baseplayer.h"
#include "cglm/affine-pre.h"
#include "cglm/mat4.h"
#include "engine.h"
#include "rendering.h"
#include "input.h"

class C_MOBAPlayer: public C_BaseEntity
{
public:
	virtual void Precache ( void ) override;
	virtual void Spawn( void ) override;
	virtual void Destroy( void ) override;
	virtual void Think( float fDelta ) override;
};

void C_MOBAPlayer::Precache()
{

}

void C_MOBAPlayer::Spawn()
{

};

void C_MOBAPlayer::Destroy()
{

}
void C_MOBAPlayer::Think( float fDelta )
{
	float x = g_fAxisValues[AXIS_MOUSE_X];
	float y = g_fAxisValues[AXIS_MOUSE_Y];
	float fPitch = glm_rad(x);
	float fYaw = glm_rad(y);
	glm_mat4_identity(g_cameraView);
	glm_rotate_z(g_cameraView, fYaw, g_cameraView);
	glm_rotate_y(g_cameraView, fPitch, g_cameraView);
	if (g_localClient.pBasePlayer == pEntity)
	{
		g_cameraView[3][0] = pEntity->m_position[0];
		g_cameraView[3][1] = pEntity->m_position[1];
		g_cameraView[3][2] = pEntity->m_position[2]+0.7;
	}
};

LINK_CLIENT_ENTITY(C_MOBAPlayer, CMOBAPlayer)
